#include "../../../lib/std.mi"

Global AnimatedLayer VisRight, VisLeft;
Global Timer VisTimer;
Global Int VisFrames;

System.onScriptLoaded() {

  Group visGroup = System.getContainer("main").getLayout("normal").getObject("main.vis");
  VisRight = visGroup.getObject("VisRight");
  VisLeft = visGroup.getObject("VisLeft");

  VisFrames = VisRight.getLength();
  VisFrames = VisFrames - 1;

  float u1, u2;
  u1 = System.getRightVuMeter();
  u2 = System.getLeftVuMeter();
  u1 = u1 / 255;
  u2 = u2 / 255;
  int k1 = u1 * VisFrames;
  int k2 = u2 * VisFrames;

  VisRight.gotoFrame(k1);
  VisLeft.gotoFrame(41 - k2);

  VisTimer = new Timer;
  VisTimer.setDelay(25);
  VisTimer.start();

}


VisTimer.onTimer() {
  float l1, l2;
  l1 = System.getRightVuMeter();
  l2 = System.getLeftVuMeter();
  float k1 = l1 / 255;
  float k2 = l2 / 255;
  int g1 = k1 * VisFrames;
  int g2 = k2 * VisFrames;

  VisRight.gotoFrame(g1);
  VisLeft.gotoFrame(41 - g2);
}

